Loading...
Searching...
No Matches
OpenMesh::IO::ImporterT< Mesh > Class Template Reference

This class template provides an importer module for OpenMesh meshes. More...

`#include <OpenMesh/Core/IO/importer/ImporterT.hh>`

Inheritance diagram for OpenMesh::IO::ImporterT< Mesh >:
[legend]
Collaboration diagram for OpenMesh::IO::ImporterT< Mesh >:
[legend]

## Public Types

typedef Mesh::Point | Point
typedef Mesh::Normal | Normal
typedef Mesh::Color | Color
typedef Mesh::TexCoord2D | TexCoord2D
typedef Mesh::TexCoord3D | TexCoord3D
typedef std::vector< VertexHandle > | VHandles
Public Types inherited from OpenMesh::IO::BaseImporter
typedef std::vector< VertexHandle > | VHandles

## Public Member Functions

| ImporterT (Mesh &_mesh)
virtual VertexHandle | add_vertex (const Vec3f &_point) override
virtual VertexHandle | add_vertex (const Vec3d &_point) override
virtual VertexHandle | add_vertex () override
virtual HalfedgeHandle | add_edge (VertexHandle _vh0, VertexHandle _vh1) override
virtual FaceHandle | add_face (const VHandles &_indices) override
virtual FaceHandle | add_face (HalfedgeHandle _heh) override
virtual void | set_point (VertexHandle _vh, const Vec3f &_point) override
virtual void | set_halfedge (VertexHandle _vh, HalfedgeHandle _heh) override
virtual void | set_normal (VertexHandle _vh, const Vec3f &_normal) override
virtual void | set_normal (VertexHandle _vh, const Vec3d &_normal) override
virtual void | set_color (VertexHandle _vh, const Vec4uc &_color) override
virtual void | set_color (VertexHandle _vh, const Vec3uc &_color) override
virtual void | set_color (VertexHandle _vh, const Vec4f &_color) override
virtual void | set_color (VertexHandle _vh, const Vec3f &_color) override
virtual void | set_texcoord (VertexHandle _vh, const Vec2f &_texcoord) override
virtual void | set_status (VertexHandle _vh, const OpenMesh::Attributes::StatusInfo &_status) override
virtual void | set_next (HalfedgeHandle _heh, HalfedgeHandle _next) override
virtual void | set_face (HalfedgeHandle _heh, FaceHandle _fh) override
virtual void | request_face_texcoords2D () override
virtual void | set_texcoord (HalfedgeHandle _heh, const Vec2f &_texcoord) override
virtual void | set_texcoord (VertexHandle _vh, const Vec3f &_texcoord) override
virtual void | set_texcoord (HalfedgeHandle _heh, const Vec3f &_texcoord) override
virtual void | set_status (HalfedgeHandle _heh, const OpenMesh::Attributes::StatusInfo &_status) override
virtual void | set_color (EdgeHandle _eh, const Vec4uc &_color) override
virtual void | set_color (EdgeHandle _eh, const Vec3uc &_color) override
virtual void | set_color (EdgeHandle _eh, const Vec4f &_color) override
virtual void | set_color (EdgeHandle _eh, const Vec3f &_color) override
virtual void | set_status (EdgeHandle _eh, const OpenMesh::Attributes::StatusInfo &_status) override
virtual void | set_normal (FaceHandle _fh, const Vec3f &_normal) override
virtual void | set_normal (FaceHandle _fh, const Vec3d &_normal) override
virtual void | set_color (FaceHandle _fh, const Vec3uc &_color) override
virtual void | set_color (FaceHandle _fh, const Vec4uc &_color) override
virtual void | set_color (FaceHandle _fh, const Vec3f &_color) override
virtual void | set_color (FaceHandle _fh, const Vec4f &_color) override
virtual void | set_status (FaceHandle _fh, const OpenMesh::Attributes::StatusInfo &_status) override
virtual void | add_face_texcoords (FaceHandle _fh, VertexHandle _vh, const std::vector< Vec2f > &_face_texcoords) override
virtual void | add_face_texcoords (FaceHandle _fh, VertexHandle _vh, const std::vector< Vec3f > &_face_texcoords) override
virtual void | set_face_texindex (FaceHandle _fh, int _texId) override
virtual void | add_texture_information (int _id, std::string _name) override
virtual BaseKernel * | kernel () override
bool | is_triangle_mesh () const override
void | reserve (unsigned int nV, unsigned int nE, unsigned int nF) override
size_t | n_vertices () const override
size_t | n_faces () const override
size_t | n_edges () const override
void | prepare () override
void | finish () override

## Detailed Description

template<class Mesh>
class OpenMesh::IO::ImporterT< Mesh >

This class template provides an importer module for OpenMesh meshes.

## Member Function Documentation

## add_edge()

template<class Mesh >

virtual HalfedgeHandle OpenMesh::IO::ImporterT< Mesh >::add_edge | ( | VertexHandle | _vh0,
|  | VertexHandle | _vh1
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## add_face() [1/2]

template<class Mesh >

virtual FaceHandle OpenMesh::IO::ImporterT< Mesh >::add_face | ( | const VHandles & | _indices | ) |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## add_face() [2/2]

template<class Mesh >

virtual FaceHandle OpenMesh::IO::ImporterT< Mesh >::add_face | ( | HalfedgeHandle | _heh | ) |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## add_face_texcoords() [1/2]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::add_face_texcoords | ( | FaceHandle | _fh,
|  | VertexHandle | _vh,
|  | const std::vector< Vec2f > & | _face_texcoords
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## add_face_texcoords() [2/2]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::add_face_texcoords | ( | FaceHandle | _fh,
|  | VertexHandle | _vh,
|  | const std::vector< Vec3f > & | _face_texcoords
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## add_texture_information()

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::add_texture_information | ( | int | _id,
|  | std::string | _name
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## add_vertex() [1/3]

template<class Mesh >

virtual VertexHandle OpenMesh::IO::ImporterT< Mesh >::add_vertex | ( |  | ) |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## add_vertex() [2/3]

template<class Mesh >

virtual VertexHandle OpenMesh::IO::ImporterT< Mesh >::add_vertex | ( | const Vec3d & | _point | ) |

inline override virtual

Reimplemented from OpenMesh::IO::BaseImporter.

## add_vertex() [3/3]

template<class Mesh >

virtual VertexHandle OpenMesh::IO::ImporterT< Mesh >::add_vertex | ( | const Vec3f & | _point | ) |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## finish()

template<class Mesh >

void OpenMesh::IO::ImporterT< Mesh >::finish | ( |  | ) |

inline override virtual

Reimplemented from OpenMesh::IO::BaseImporter.

## is_triangle_mesh()

template<class Mesh >

bool OpenMesh::IO::ImporterT< Mesh >::is_triangle_mesh | ( |  | ) | const

inline override virtual

Reimplemented from OpenMesh::IO::BaseImporter.

## kernel()

template<class Mesh >

virtual BaseKernel * OpenMesh::IO::ImporterT< Mesh >::kernel | ( |  | ) |

inline override virtual

Reimplemented from OpenMesh::IO::BaseImporter.

## n_edges()

template<class Mesh >

size_t OpenMesh::IO::ImporterT< Mesh >::n_edges | ( |  | ) | const

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## n_faces()

template<class Mesh >

size_t OpenMesh::IO::ImporterT< Mesh >::n_faces | ( |  | ) | const

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## n_vertices()

template<class Mesh >

size_t OpenMesh::IO::ImporterT< Mesh >::n_vertices | ( |  | ) | const

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## prepare()

template<class Mesh >

void OpenMesh::IO::ImporterT< Mesh >::prepare | ( |  | ) |

inline override virtual

Reimplemented from OpenMesh::IO::BaseImporter.

## request_face_texcoords2D()

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::request_face_texcoords2D | ( |  | ) |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## reserve()

template<class Mesh >

void OpenMesh::IO::ImporterT< Mesh >::reserve | ( | unsigned int | nV,
|  | unsigned int | nE,
|  | unsigned int | nF
| ) |  |

inline override virtual

Reimplemented from OpenMesh::IO::BaseImporter.

## set_color() [1/12]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_color | ( | EdgeHandle | _eh,
|  | const Vec3f & | _color
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_color() [2/12]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_color | ( | EdgeHandle | _eh,
|  | const Vec3uc & | _color
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_color() [3/12]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_color | ( | EdgeHandle | _eh,
|  | const Vec4f & | _color
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_color() [4/12]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_color | ( | EdgeHandle | _eh,
|  | const Vec4uc & | _color
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_color() [5/12]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_color | ( | FaceHandle | _fh,
|  | const Vec3f & | _color
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_color() [6/12]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_color | ( | FaceHandle | _fh,
|  | const Vec3uc & | _color
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_color() [7/12]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_color | ( | FaceHandle | _fh,
|  | const Vec4f & | _color
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_color() [8/12]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_color | ( | FaceHandle | _fh,
|  | const Vec4uc & | _color
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_color() [9/12]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_color | ( | VertexHandle | _vh,
|  | const Vec3f & | _color
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_color() [10/12]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_color | ( | VertexHandle | _vh,
|  | const Vec3uc & | _color
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_color() [11/12]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_color | ( | VertexHandle | _vh,
|  | const Vec4f & | _color
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_color() [12/12]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_color | ( | VertexHandle | _vh,
|  | const Vec4uc & | _color
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_face()

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_face | ( | HalfedgeHandle | _heh,
|  | FaceHandle | _fh
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_face_texindex()

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_face_texindex | ( | FaceHandle | _fh,
|  | int | _texId
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_halfedge()

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_halfedge | ( | VertexHandle | _vh,
|  | HalfedgeHandle | _heh
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_next()

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_next | ( | HalfedgeHandle | _heh,
|  | HalfedgeHandle | _next
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_normal() [1/4]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_normal | ( | FaceHandle | _fh,
|  | const Vec3d & | _normal
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_normal() [2/4]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_normal | ( | FaceHandle | _fh,
|  | const Vec3f & | _normal
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_normal() [3/4]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_normal | ( | VertexHandle | _vh,
|  | const Vec3d & | _normal
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_normal() [4/4]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_normal | ( | VertexHandle | _vh,
|  | const Vec3f & | _normal
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_point()

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_point | ( | VertexHandle | _vh,
|  | const Vec3f & | _point
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_status() [1/4]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_status | ( | EdgeHandle | _eh,
|  | const OpenMesh::Attributes::StatusInfo & | _status
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_status() [2/4]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_status | ( | FaceHandle | _fh,
|  | const OpenMesh::Attributes::StatusInfo & | _status
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_status() [3/4]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_status | ( | HalfedgeHandle | _heh,
|  | const OpenMesh::Attributes::StatusInfo & | _status
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_status() [4/4]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_status | ( | VertexHandle | _vh,
|  | const OpenMesh::Attributes::StatusInfo & | _status
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_texcoord() [1/4]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_texcoord | ( | HalfedgeHandle | _heh,
|  | const Vec2f & | _texcoord
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_texcoord() [2/4]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_texcoord | ( | HalfedgeHandle | _heh,
|  | const Vec3f & | _texcoord
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_texcoord() [3/4]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_texcoord | ( | VertexHandle | _vh,
|  | const Vec2f & | _texcoord
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

## set_texcoord() [4/4]

template<class Mesh >

virtual void OpenMesh::IO::ImporterT< Mesh >::set_texcoord | ( | VertexHandle | _vh,
|  | const Vec3f & | _texcoord
| ) |  |

inline override virtual

Implements OpenMesh::IO::BaseImporter.

The documentation for this class was generated from the following file:

- OpenMesh/Core/IO/importer/ImporterT.hh